package hw.tagApi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import hw.tagApi.common.annotation.Excel;
import hw.tagApi.common.core.domain.BaseEntity;

/**
 * 附件信息对象 sys_attach_info
 * 
 * @author Yinq
 * @date 2025-04-22
 */
public class SysAttachInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long attachId;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String attachName;

    /** 附件类别：1-excel */
    @Excel(name = "附件类别：1-excel")
    private String attachType;

    /** 附件URL */
    @Excel(name = "附件URL")
    private String attachUrl;

    /** 附件地址 */
    @Excel(name = "附件地址")
    private String attachAddress;

    /** 过期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "过期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expirationTime;

    /** 删除标识（1是 0否） */
    private String delFlag;

    public void setAttachId(Long attachId) 
    {
        this.attachId = attachId;
    }

    public Long getAttachId() 
    {
        return attachId;
    }

    public void setAttachName(String attachName) 
    {
        this.attachName = attachName;
    }

    public String getAttachName() 
    {
        return attachName;
    }

    public void setAttachType(String attachType) 
    {
        this.attachType = attachType;
    }

    public String getAttachType() 
    {
        return attachType;
    }

    public String getAttachUrl() {
        return attachUrl;
    }

    public void setAttachUrl(String attachUrl) {
        this.attachUrl = attachUrl;
    }

    public void setAttachAddress(String attachAddress)
    {
        this.attachAddress = attachAddress;
    }

    public String getAttachAddress() 
    {
        return attachAddress;
    }

    public void setExpirationTime(Date expirationTime) 
    {
        this.expirationTime = expirationTime;
    }

    public Date getExpirationTime() 
    {
        return expirationTime;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("attachId", getAttachId())
            .append("attachName", getAttachName())
            .append("attachType", getAttachType())
            .append("attachRul", getAttachUrl())
            .append("attachAddress", getAttachAddress())
            .append("expirationTime", getExpirationTime())
            .append("delFlag", getDelFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
